
Foreman - Refactor #8566

Reorg of Administer->Settings

12/03/2014 01:17 PM - Ashton Davis

Status: Closed   

Priority: Low   

Assignee: Ondřej Pražák   

Category: Settings   

Target version: 1.9.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2313

  

Description

There are a smattering of oddly categorized settings in Administer > Settings  -  this is my recommendation for a reorder.  Not a

demand by any means.

SSL cert settings are buried in a strange place, under provisioning, where a Communications menu or the Auth menu would make

more sense.

FROM "Provisioning" TO "Auth" or "Communications":

ssl_ca_file

ssl_certificate

ssl_priv_key

websockets_encrypt

websockets_ssl_cert

websockets_ssl_key

This one is just kind of a bonus.

FROM "General" TO "Auth":

authorize_login_delegation

authorize_login_delegation_api

idle_timeout (personally I think it should go with the other user settings)

Associated revisions

Revision fb293de9 - 05/05/2015 04:05 AM - Ondřej Pražák

Fixes #8566 - reorganized settings categories

History

#1 - 12/03/2014 01:18 PM - Greg Sutcliffe

- Tracker changed from Bug to Refactor

- Project changed from Katello to Foreman

- Category set to Settings

- Priority changed from Normal to Low

- Difficulty set to trivial

#2 - 04/21/2015 12:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2313 added

- Pull request deleted ()

#3 - 05/05/2015 04:09 AM - Dominic Cleal

- Assignee set to Ondřej Pražák
- translation missing: en.field_release set to 35

#4 - 05/05/2015 05:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fb293de9ae458355c0a509ba70c523ff7c27d935.
